assertions.h File Reference

Go to the source code of this file.

## Macros

#define | __glibcxx_requires_non_empty_range(_First, _Last)
#define | __glibcxx_requires_nonempty()
#define | __glibcxx_requires_subscript(_N)
#define | _GLIBCXX_DEBUG_ASSERT(_Condition)
#define | _GLIBCXX_DEBUG_ONLY(_Statement)
#define | _GLIBCXX_DEBUG_PEDASSERT(_Condition)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file assertions.h.

## Macro Definition Documentation

## __glibcxx_requires_non_empty_range

#define __glibcxx_requires_non_empty_range | ( |  | _First,
|  |  | _Last
| ) |  |

Definition at line 41 of file assertions.h.

## __glibcxx_requires_nonempty

#define __glibcxx_requires_nonempty | ( |  | ) |

Definition at line 42 of file assertions.h.

## __glibcxx_requires_subscript

#define __glibcxx_requires_subscript | ( |  | _N | ) |

Definition at line 43 of file assertions.h.

## _GLIBCXX_DEBUG_ASSERT

#define _GLIBCXX_DEBUG_ASSERT | ( |  | _Condition | ) |

Definition at line 34 of file assertions.h.

## _GLIBCXX_DEBUG_ONLY

#define _GLIBCXX_DEBUG_ONLY | ( |  | _Statement | ) |

Definition at line 36 of file assertions.h.

## _GLIBCXX_DEBUG_PEDASSERT

#define _GLIBCXX_DEBUG_PEDASSERT | ( |  | _Condition | ) |

Definition at line 35 of file assertions.h.